ClarisDrawGraphInternal::ZoneUnknown Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
ClarisDrawGraphInternal::ZoneUnknown Struct Referencefinal

Internal: structure used to store an unknown zone of a ClarisDrawGraph. More...

Inheritance diagram for ClarisDrawGraphInternal::ZoneUnknown:

## Public Member Functions
| ZoneUnknown (Zone const &z)
| construtor
| ~ZoneUnknown () final
| destructor
void | print (std::ostream &o) const final
| print the zone
Type | getType () const final
| return the main type
Type | getSubType () const final
| return the sub type
int | getNumData () const final
| return the number of data
ClarisWksStruct::DSET::Child | getChild () const final
| return a child corresponding to this zone
Public Member Functions inherited from ClarisDrawGraphInternal::Zone
| Zone ()
| constructor
| Zone (Zone const &)=default
virtual | ~Zone ()
| destructor
MWAWBox2f | getBdBox () const
| return the zone bdbox
virtual Type | getType () const
| return the main type
virtual Type | getSubType () const
| return the subtype
virtual int | getNumData () const
| return the number of data to define this zone in the file
virtual void | print (std::ostream &) const
| print the data contains
virtual ClarisWksStruct::DSET::Child | getChild () const
| return a child corresponding to this zone
virtual int | getZoneId () const
| returns the id of the reference zone

## Public Attributes
Type | m_type
| the sub type
int | m_typeId
| type number
Public Attributes inherited from ClarisDrawGraphInternal::Zone
int | m_zoneType
| the zone type
int | m_flag
| the zone main flag
int | m_page
| the page (checkme: or frame linked )
MWAWBox2f | m_box
| the bdbox
int | m_ordering
| the ordering
Style | m_style
| the style

## Additional Inherited Members
Public Types inherited from ClarisDrawGraphInternal::Zone
enum | Type { T_Zone , T_Pict , T_Shape , T_Unknown , T_Line , T_Rect , T_RectOval , T_Oval , T_Arc , T_Poly , T_Connector }
| the list of types More...

## Detailed Description

Internal: structure used to store an unknown zone of a ClarisDrawGraph.

## Constructor & Destructor Documentation

## ◆ ZoneUnknown()

ClarisDrawGraphInternal::ZoneUnknown::ZoneUnknown | ( | Zone const & | z | ) |
| inlineexplicit

construtor

## ◆ ~ZoneUnknown()

ClarisDrawGraphInternal::ZoneUnknown::~ZoneUnknown | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ getChild()

ClarisWksStruct::DSET::Child ClarisDrawGraphInternal::ZoneUnknown::getChild | ( |  | ) | const
| inlinefinalvirtual

return a child corresponding to this zone

Reimplemented from ClarisDrawGraphInternal::Zone.

## ◆ getNumData()

int ClarisDrawGraphInternal::ZoneUnknown::getNumData | ( |  | ) | const
| inlinefinalvirtual

return the number of data

Reimplemented from ClarisDrawGraphInternal::Zone.

## ◆ getSubType()

Type ClarisDrawGraphInternal::ZoneUnknown::getSubType | ( |  | ) | const
| inlinefinalvirtual

return the sub type

Reimplemented from ClarisDrawGraphInternal::Zone.

## ◆ getType()

Type ClarisDrawGraphInternal::ZoneUnknown::getType | ( |  | ) | const
| inlinefinalvirtual

return the main type

Reimplemented from ClarisDrawGraphInternal::Zone.

## ◆ print()

void ClarisDrawGraphInternal::ZoneUnknown::print | ( | std::ostream & | o | ) | const
| inlinefinalvirtual

print the zone

Reimplemented from ClarisDrawGraphInternal::Zone.

## Member Data Documentation

## ◆ m_type

Type ClarisDrawGraphInternal::ZoneUnknown::m_type

the sub type

Referenced by getSubType(), and getType().

## ◆ m_typeId

int ClarisDrawGraphInternal::ZoneUnknown::m_typeId

type number

Referenced by print().

The documentation for this struct was generated from the following file:

- ClarisDrawGraph.cxx